> For the complete documentation index, see [llms.txt](https://docs.sharinpix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sharinpix.com/documentation/features/working-with-tags/tags-available-for-a-specific-album.md).

# Tags available for a specific album

It is possible to make certain tags only available for a specific album through three main methods:

* [Define tag within SharinPix Permission object (for Lightning Only)](#define-tag-within-sharinpix-permission-object-for-lightning-only)
* [Define tag within SharinPix Parameters (with Apex Controller)](#define-tag-within-the-sharinpix-parameters)
* [Define tag within SharinPix Parameters (without Apex Controller)](#define-tags-within-sharinpix-parameters-without-apex-controller)

## Define tag within SharinPix Permission object (for Lightning only)

Under Lightning you can use the **SharinPix Permission object** to set abilities for a SharinPix Lightning Component.

This is fully described here: [SharinPix Permission object.](/documentation/access-and-security/sharinpix-permission-object-how-to-create-and-assign-custom-permission.md)

Within the SharinPix Permission object, you can use the "**Available Tags**" field to list all the tags that you would like to be always available in the tag menu.

Please remember that you have to use the Tag Name (not the label) and separate multiple values by a ; (semi-colomn).

![](https://2221230591-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F5EvYRrLbUyvRh8o1jmMG%2Fuploads%2Fgit-blob-c4e68c3a1a50a70b897f937fed1f6e554684e0c3%2FCapture_d%E2%80%99%C3%A9cran_2019-05-09_%C3%A0_18.41.46.png?alt=media)

### Define tag within the SharinPix Parameters (with Apex Controller) <a href="#define-tag-within-the-sharinpix-parameters" id="define-tag-within-the-sharinpix-parameters"></a>

* It is possible to define the tags available for a specific through the **SharinPix Parameters.**

{% hint style="success" %}
To know more about **SharinPix Parameters** , refer to this article: [SharinPix permission](/documentation/access-and-security/sharinpix-permission.md)
{% endhint %}

* The code snippet illustrates a set of **SharinPix Parameters** that contains a tag named **work.**

```apex
Map<String, Object> params = new Map<String, Object> {
    'Id' => albumId,
    'abilities' => new Map<String, Object> {
        albumId => new Map<String, Object> {
            'Access' => new Map<String, Boolean> {
                'see' => true,
                'image_list' => true
            },
            'Tags' => new Map<String, Object> {
                'work' => new Map<String, String> {
                    'en' => 'work',
                    'fr' => 'travail'
                }
            }
        }
    }
};
```

## Define tags within SharinPix Parameters (without Apex Controller)

* The code snippet below illustrates a set of **SharinPix Parameters** defined inline within a Visualforce Page that contains a tag named **work.** This code represents  a method that defines a tag within SharinPix Parameters without the use of an Apex Controller.

```html
<apex:page> 
 <sharinpix:SharinPix height="500px" 
    parameters="{
         'Id': '{!CASESAFEID($CurrentPage.parameters.Id)}', 
         'abilities':{'{!CASESAFEID($CurrentPage.parameters.Id)}':
            {'Access': {
                'image_delete':false,
                'image_upload':true,
                'image_list':true,
                'see':true }
            }
        }
    }" 
    /> 
</apex:page>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sharinpix.com/documentation/features/working-with-tags/tags-available-for-a-specific-album.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
